Package com.sun.jna.platform.win32

## Class DsGetDC.DS_DOMAIN_TRUSTS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DsGetDC.DS_DOMAIN_TRUSTS

Direct Known Subclasses:
  `DsGetDC.DS_DOMAIN_TRUSTS.ByReference`

Enclosing interface:
  DsGetDC

    @FieldOrder({"NetbiosDomainName","DnsDomainName","Flags","ParentIndex","TrustType","TrustAttributes","DomainSid","DomainGuid"})
    public static class DsGetDC.DS_DOMAIN_TRUSTS
    extends Structure

The DS_DOMAIN_TRUSTS structure is used with the DsEnumerateDomainTrusts function to contain trust data for a domain.

### Nested Class Summary

Nested Classes
`static class` `DsGetDC.DS_DOMAIN_TRUSTS.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`java.lang.String` `DnsDomainName` Pointer to a null-terminated string that contains the DNS name of the domain.
`Guid.GUID` `DomainGuid` Contains the GUID of the domain represented by this structure.
`WinNT.PSID.ByReference` `DomainSid` Contains the security identifier of the domain represented by this structure.
`int` `Flags` Contains a set of flags that specify more data about the domain trust.
`java.lang.String` `NetbiosDomainName` Pointer to a null-terminated string that contains the NetBIOS name of the domain.
`int` `ParentIndex` Contains the index in the Domains array returned by the DsEnumerateDomainTrusts function that corresponds to the parent domain of the domain represented by this structure.
`int` `TrustAttributes` Contains a value that indicates the attributes of the trust represented by this structure.
`int` `TrustType` Contains a value that indicates the type of trust represented by this structure.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`DS_DOMAIN_TRUSTS()`
`DS_DOMAIN_TRUSTS​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NetbiosDomainName

    public java.lang.String NetbiosDomainName

Pointer to a null-terminated string that contains the NetBIOS name of the domain.

#### DnsDomainName

    public java.lang.String DnsDomainName

Pointer to a null-terminated string that contains the DNS name of the domain. This member may be NULL.

#### Flags

    public int Flags

Contains a set of flags that specify more data about the domain trust.

#### ParentIndex

    public int ParentIndex

Contains the index in the Domains array returned by the DsEnumerateDomainTrusts function that corresponds to the parent domain of the domain represented by this structure.

#### TrustType

    public int TrustType

Contains a value that indicates the type of trust represented by this structure.

#### TrustAttributes

    public int TrustAttributes

Contains a value that indicates the attributes of the trust represented by this structure.

#### DomainSid

    public WinNT.PSID.ByReference DomainSid

Contains the security identifier of the domain represented by this structure.

#### DomainGuid

    public Guid.GUID DomainGuid

Contains the GUID of the domain represented by this structure.

### Constructor Detail

#### DS_DOMAIN_TRUSTS

    public DS_DOMAIN_TRUSTS()

#### DS_DOMAIN_TRUSTS

    public DS_DOMAIN_TRUSTS​(Pointer p)